--- /dev/null
+SECTION = "base"
+DESCRIPTION = "A daemon for delivering ACPI events."
+LICENSE="GPL"
+
+SRC_URI = "${SOURCEFORGE_MIRROR}/acpid/acpid-${PV}.tar.gz \
+ file://init"
+
+inherit update-rc.d
+
+INITSCRIPT_NAME = "acpid"
+INITSCRIPT_PARAMS = "defaults"
+
+EXTRA_OEMAKE = ""
+do_compile () {
+ oe_runmake 'CC=${CC}' 'CROSS=${HOST_PREFIX}'
+}
+
+do_install () {
+ install -d ${D}${bindir}
+ oe_runmake 'INSTPREFIX=${D}' install
+ install -d ${D}${sysconfdir}/init.d
+ cat ${WORKDIR}/init | sed -e's,/usr/sbin,${sbindir},g' > ${D}${sysconfdir}/init.d/acpid
+ chmod 755 ${D}${sysconfdir}/init.d/acpid
+}
--- /dev/null
+upstream: https://sourceforge.net/tracker/index.php?func=detail&aid=1895615&group_id=33140&atid=407341
+status: not necessary anymore at least from version 1.0.6 onwards where this patch reverse-applies cleanly
+
+Index: acpid-1.0.3/ud_socket.c
+===================================================================
+--- acpid-1.0.3.orig/ud_socket.c 2003-11-17 14:24:58.000000000 -0700
++++ acpid-1.0.3/ud_socket.c 2005-06-27 14:44:17.785576106 -0700
+@@ -58,7 +58,7 @@
+ while (1) {
+ int newsock = 0;
+ struct sockaddr_un cliaddr;
+- int len = sizeof(struct sockaddr_un);
++ socklen_t len = sizeof(struct sockaddr_un);
+
+ newsock = accept(listenfd, (struct sockaddr *)&cliaddr, &len);
+ if (newsock < 0) {
--- /dev/null
+require acpid.inc
+PR = "r2"
+
--- /dev/null
+require acpid.inc
+SRC_URI += "file://gcc40.patch;patch=1"
+PR = "r2"
+
--- /dev/null
+require acpid.inc
+SRC_URI += "file://gcc40.patch;patch=1"
+PR = "r3"
+
--- /dev/null
+require acpid.inc
+
+PR = "r4"
--- /dev/null
+#! /bin/sh -e
+
+test -x /usr/sbin/acpid || exit 0
+test -d /proc/acpi || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -S -x /usr/sbin/acpid -- -c /etc/acpi/events
+ echo "acpid."
+ ;;
+ stop)
+ echo -n "Stopping Advanced Configuration and Power Interface daemon: "
+ start-stop-daemon -K -x /usr/sbin/acpid
+ echo "acpid."
+ ;;
+ restart|force-reload)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: /etc/init.d/acpid {start|stop|restart|force-reload}"
+ exit 1
+esac
+
+exit 0